Plugins
Managing plugins installed from a local path or from NPM, or search for new ones.
List plugins
Parameters
pluginTypeintegerqueryuninstalledbooleanquerystartinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringquerySort column
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
List available plugins
Parameters
searchstringquerypluginTypeintegerquerycurrentPeerTubeEnginestringquerystartinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringquerySort column
Response
successful operation
plugin index unavailable
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Install a plugin
Body
npmNamestringrequiredpeertube-plugin-auth-ldapcurrentPasswordcurrentPassword<password>Password of the authenticated user, required if password confirmation is enabled
pathstringrequiredcurrentPasswordcurrentPassword<password>Password of the authenticated user, required if password confirmation is enabled
Response
successful operation
should have either npmName or path set, or currentPassword is missing
invalid currentPassword, or password confirmation unavailable for this user
too many failed password confirmations
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Update a plugin
Body
npmNamestringrequiredpeertube-plugin-auth-ldapcurrentPasswordcurrentPassword<password>Password of the authenticated user, required if password confirmation is enabled
pathstringrequiredcurrentPasswordcurrentPassword<password>Password of the authenticated user, required if password confirmation is enabled
Response
successful operation
should have either npmName or path set, or currentPassword is missing
invalid currentPassword, or password confirmation unavailable for this user
existing plugin not found
too many failed password confirmations
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Uninstall a plugin
Body
npmNamestringrequiredname of the plugin/theme in its package.json
peertube-plugin-auth-ldapResponse
successful operation
existing plugin not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Get a plugin
Parameters
npmNamestringrequiredpathname of the plugin/theme on npmjs.com or in its package.json
Response
successful operation
plugin not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Set a plugin's settings
Body
settingsobjectParameters
npmNamestringrequiredpathname of the plugin/theme on npmjs.com or in its package.json
Response
successful operation
plugin not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Get a plugin's public settings
Parameters
npmNamestringrequiredpathname of the plugin/theme on npmjs.com or in its package.json
Response
successful operation
plugin not found
Get a plugin's registered settings
Parameters
npmNamestringrequiredpathname of the plugin/theme on npmjs.com or in its package.json
Response
successful operation
plugin not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
